Commit baa3f7bc authored by Shane Snyder's avatar Shane Snyder

update regression tests to reflect recent updates

parent 718c9497
...@@ -17,7 +17,7 @@ DARSHAN_TESTDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) ...@@ -17,7 +17,7 @@ DARSHAN_TESTDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
export DARSHAN_TESTDIR export DARSHAN_TESTDIR
# check darshan path # check darshan path
if [ ! -x $DARSHAN_PATH/bin/darshan-posix-parser ]; then if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2 echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2
exit 1 exit 1
fi fi
......
...@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then ...@@ -21,7 +21,7 @@ if [ $? -ne 0 ]; then
fi fi
# parse log # parse log
$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt $DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2 echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1 exit 1
...@@ -29,12 +29,7 @@ fi ...@@ -29,12 +29,7 @@ fi
# check results # check results
# in this case we want to confirm that the open counts are zero; cxxpi does not do any IO # in this case we want to confirm that the open counts are zero; cxxpi does not do any IO
#POSIX_OPENS=`grep CP_POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 4` POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
#if [ "$POSIX_OPENS"x != ""x ]; then
# echo "Error: Found unexpected POSIX open count of $POSIX_OPENS" 1>&2
# exit 1
#fi
POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs`
if [ "$POSIX_OPENS"x != ""x ]; then if [ "$POSIX_OPENS"x != ""x ]; then
echo "Error: Found unexpected POSIX open count of $POSIX_OPENS" 1>&2 echo "Error: Found unexpected POSIX open count of $POSIX_OPENS" 1>&2
exit 1 exit 1
......
...@@ -21,31 +21,23 @@ if [ $? -ne 0 ]; then ...@@ -21,31 +21,23 @@ if [ $? -ne 0 ]; then
fi fi
# parse log # parse log
$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt $DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2 echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1 exit 1
fi fi
# check results # check results
# in this case we want to confirm that both the MPI and POSIX open counters were triggered # in this case we want to confirm that both the MPI and POSIX open counters were triggered
POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs` POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $POSIX_OPENS -gt 0 ]; then if [ ! "$POSIX_OPENS" -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2 echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs` MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $MPI_OPENS -gt 0 ]; then if [ ! "$MPI_OPENS" -gt 0 ]; then
echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2 echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
exit 0 exit 0
...@@ -21,31 +21,23 @@ if [ $? -ne 0 ]; then ...@@ -21,31 +21,23 @@ if [ $? -ne 0 ]; then
fi fi
# parse log # parse log
$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt $DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2 echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1 exit 1
fi fi
# check results # check results
# in this case we want to confirm that both the MPI and POSIX open counters were triggered # in this case we want to confirm that both the MPI and POSIX open counters were triggered
POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs` POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $POSIX_OPENS -gt 0 ]; then if [ ! "$POSIX_OPENS" -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2 echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs` MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $MPI_OPENS -gt 0 ]; then if [ ! "$MPI_OPENS" -gt 0 ]; then
echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2 echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
exit 0 exit 0
...@@ -21,12 +21,7 @@ if [ $? -ne 0 ]; then ...@@ -21,12 +21,7 @@ if [ $? -ne 0 ]; then
fi fi
# parse log # parse log
$DARSHAN_PATH/bin/darshan-posix-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt $DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1
fi
$DARSHAN_PATH/bin/darshan-mpiio-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}-mpiio.darshan.txt
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2 echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
exit 1 exit 1
...@@ -34,16 +29,15 @@ fi ...@@ -34,16 +29,15 @@ fi
# check results # check results
# in this case we want to confirm that both the MPI and POSIX open counters were triggered # in this case we want to confirm that both the MPI and POSIX open counters were triggered
POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -d : -f 2 |xargs` POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $POSIX_OPENS -gt 0 ]; then if [ ! "$POSIX_OPENS" -gt 0 ]; then
echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2 echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
MPI_OPENS=`grep INDEP_OPENS $DARSHAN_TMP/${PROG}-mpiio.darshan.txt |cut -d : -f 2 |xargs` MPI_OPENS=`grep INDEP_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |cut -f 5`
if [ ! $MPI_OPENS -gt 0 ]; then if [ ! "$MPI_OPENS" -gt 0 ]; then
echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2 echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
exit 1 exit 1
fi fi
exit 0 exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment